---
agentTools:
  projectIndex: https://hypeauditor.readme.io/llms.txt
---

# Basic

# Limits

There is the limit on RPS (request per seconds), it should be less than 100 per minute.

# Authorization

> 📘 Note:
>
> Use your **Client ID** and **API token** values to access the API. Pass them via **X-Auth-Token** and **X-Auth-Id** headers, respectively. Reach us at `support@hypeauditor.com` if you don’t have them.

# Changelog

> 🚧 WARNING!
>
> **Starting August 1st, 2024**, the `v=1` version of HypeAuditor API Solutions will be deprecated. This means that it will no longer be supported or maintained, and users are encouraged to migrate to the latest version, `v=2` , to ensure continued functionality and access to the latest features and improvements.
>
> Please update your systems accordingly to avoid any disruptions.

> ❗️ IMPORTANT:
>
> Versioning is controlled by the **`v`** parameter, which is a code that represents the “version” of the API you expect from HypeAuditor.
>
> It is designed to give developers the freedom to adapt to HypeAuditor API changes on their own schedule. The value of the **`v`** parameter is string. As a concrete example, suppose we introduce a change in the future that renames all our id fields to foo.
>
> Version parameter is optional. If it’s not passed as a part of an API request we default it to latest version. We recommend setting a single version across all of your API calls and launching your app with API calls using this version. Current version is **2019-10-18**

# Requests

```
Method: POST
URL: https://hypeauditor.com/api/method/%endpoint%
```

Please, check the following docs to see endpoint names and response results:

* [Instagram Report API](https://hypeauditor.readme.io/reference/report_instagram)
* [YouTube Report API](https://hypeauditor.readme.io/reference/report_youtube)
* [TikTok Report API](https://hypeauditor.readme.io/reference/report_tiktok)
* [Twitch Report API](https://hypeauditor.readme.io/reference/report_twitch)
* [Twitter Report API](https://hypeauditor.readme.io/reference/report_twitter)
* [Snapchat Report API](https://hypeauditor.readme.io/reference/report_snapchat)
* [Discovery API](https://hypeauditor.readme.io/reference/general_discovery)
* [Suggester API](https://hypeauditor.readme.io/reference/suggester)
* [Lists API](https://hypeauditor.readme.io/reference/get-all-lists)
* [Campaign Management API](https://hypeauditor.readme.io/reference/api-for-campaign-management)

## Response

Response comes with `Content-Type: application/json` header. Start with checking response HTTP code. If you receive something different than 200, then error description will be in `error.description` key.

### HTTP codes

* `500` - Internal Server Error — service temporary unavailable, try later.
* `400` - Bad request — check request parameters
* `402` - Payment Required — your account is out of credits or API Access expired, you need to purchase more at [HypeAuditor](https://hypeauditor.com/get-demo/) or contact **<sales@hypeauditor.com>**.
* `403` - Unauthorized — Check API token OR Private account/Account does not have posts. Note: your API token changes when you change password
* `404` - Not Found — User/page not found
* `429` - Too many requests
* `200` - OK
* `202` - Accepted — Report requested and being generated. Response body contains `result.retryTtl` field with the number of seconds to retry after. If after `retryTtl` seconds report is still not ready, you get code 202 again. In case of success you get code 200. This response is available for Instagram, YouTube, TikTok, and Twitter reports.

### Response body success

```json
{
    "result": {
       ..., // some result
       "restTokens": 500 // credits left on your balance
       "validUntil": int // unix timestamp in seconds
   }
}
```

### Response body error

```json
{
  "error": {
       "description": "Sample Description"
   }
}
```